nxt.util.security

## Class BlockchainCertificateFactorySpi

- java.lang.Object
- - java.security.cert.CertificateFactorySpi
  - - nxt.util.security.BlockchainCertificateFactorySpi

-     public class BlockchainCertificateFactorySpi
      extends java.security.cert.CertificateFactorySpi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlockchainCertificateFactorySpi()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.security.cert.Certificate` | `engineGenerateCertificate(java.io.InputStream inStream)` Given a stream of transaction bytes, generate a certificate
    `java.util.Collection<? extends java.security.cert.Certificate>` | `engineGenerateCertificates(java.io.InputStream inStream)` Represent a list of certificates.
    `java.security.cert.CRL` | `engineGenerateCRL(java.io.InputStream inStream)`
    `java.util.Collection<? extends java.security.cert.CRL>` | `engineGenerateCRLs(java.io.InputStream inStream)`

    - ### Methods inherited from class java.security.cert.CertificateFactorySpi

      `engineGenerateCertPath, engineGenerateCertPath, engineGenerateCertPath, engineGetCertPathEncodings`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlockchainCertificateFactorySpi

          public BlockchainCertificateFactorySpi()

  - ### Method Detail

    - #### engineGenerateCertificate

          public java.security.cert.Certificate engineGenerateCertificate(java.io.InputStream inStream)
                                                                   throws java.security.cert.CertificateException

      Given a stream of transaction bytes, generate a certificate
      Specified by:
        `engineGenerateCertificate` in class `java.security.cert.CertificateFactorySpi`
      Parameters:
        `inStream` - the stream of transaction bytes
      Returns:
        the certificate represented by the transaction
      Throws:
        `java.security.cert.CertificateException` - is something went wrong

    - #### engineGenerateCertificates

          public java.util.Collection<? extends java.security.cert.Certificate> engineGenerateCertificates(java.io.InputStream inStream)
                                                                                                    throws java.security.cert.CertificateException

      Represent a list of certificates. Currently we support only one certificate per transaction
      Specified by:
        `engineGenerateCertificates` in class `java.security.cert.CertificateFactorySpi`
      Parameters:
        `inStream` - the stream of transaction bytes
      Returns:
        the certificates represented by the transaction
      Throws:
        `java.security.cert.CertificateException` - is something went wrong

    - #### engineGenerateCRL

          public java.security.cert.CRL engineGenerateCRL(java.io.InputStream inStream)

      Specified by:
        `engineGenerateCRL` in class `java.security.cert.CertificateFactorySpi`

    - #### engineGenerateCRLs

          public java.util.Collection<? extends java.security.cert.CRL> engineGenerateCRLs(java.io.InputStream inStream)

      Specified by:
        `engineGenerateCRLs` in class `java.security.cert.CertificateFactorySpi`